<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <import type="com.lukouguoji.module_base.ui.weight.search.layout.SearchLayoutType" />

        <variable
            name="model"
            type="com.lukouguoji.gnc.page.distribution.home.dialog.GncDistributionFilterDialogModel" />

    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <com.lukouguoji.module_base.ui.weight.StatusView
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:background="@color/black" />

        <include
            android:id="@+id/tool_bar"
            layout="@layout/title_tool_bar" />

        <LinearLayout
            shape_bg_color="@{@color/white}"
            shape_radius="@{8}"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_margin="10dp"
            android:layout_weight="1"
            android:background="@color/white"
            android:orientation="horizontal"
            android:padding="10dp">

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginVertical="5dp"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="司机" />

                    <com.lukouguoji.module_base.ui.weight.search.layout.PadSearchLayout
                        android:id="@+id/psl"
                        bgDrawable="@{@drawable/bg_search_row_gray}"
                        hint='@{"请选择司机"}'
                        list="@{model.driverList}"
                        type="@{SearchLayoutType.SPINNER}"
                        value="@={model.driver}"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="10dp" />

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:layout_marginBottom="10dp"
            android:gravity="center_horizontal">

            <TextView
                style="@style/tv_bottom_btn_lg"
                android:onClick="@{()-> model.onResetClick()}"
                android:text="重置" />

            <View
                android:layout_width="40dp"
                android:layout_height="0dp" />

            <TextView
                style="@style/tv_bottom_btn_lg"
                android:onClick="@{()-> model.onConfirmClick()}"
                android:text="搜索" />
        </LinearLayout>

    </LinearLayout>
</layout>